/***************************************************************************
 *   Copyright (C) 2003 by Roberto Natella                                 *
 *   roberto.natella@virgilio.it                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "criteriadialogview.h"

#include <qdatetime.h>

CriteriaDialogView::CriteriaDialogView( QWidget *parent, const char *name )
 : KDialogBase( parent, name, true, 0,
                KDialogBase::Ok|KDialogBase::Cancel, KDialogBase::Ok, true )
{
    m_widget = new CriteriaDialog(this);
    setMainWidget(m_widget);

    m_widget->m_dateDay->insertItem("*");
    for( int i = 1; i < 32; i++ )
    {
        m_widget->m_dateDay->insertItem(QString("%1").arg(i));
    }

    m_widget->m_dateMonth->insertItem("*");
    for( int i = 1; i < 13; i++ )
    {
        m_widget->m_dateMonth->insertItem(QString("%1").arg(i));
    }

    m_widget->m_hour->insertItem("*");
    for( int i = 0; i < 24; i++ )
    {
        m_widget->m_hour->insertItem(QString("%1").arg(i));
    }

    m_widget->m_minute->insertItem("*");
    for( int i = 0; i < 60; i++ )
    {
        m_widget->m_minute->insertItem(QString("%1").arg(i));
    }

    m_widget->m_dayname->insertItem("*");
    for( int i = 1; i < 8; i++ )
    {
        m_widget->m_dayname->insertItem(QDate::longDayName(i));
    }
}


CriteriaDialogView::~CriteriaDialogView()
{
    delete m_widget;
}


