/***************************************************************************
 *   Copyright (C) 2003 by Roberto Natella                                 *
 *   roberto.natella@virgilio.it                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef CRITERIADIALOGVIEW_H
#define CRITERIADIALOGVIEW_H

#include <kdialogbase.h>

#include <qcombobox.h>
#include <qradiobutton.h>

#include "criteriadialog.h"

/**
@author Roberto Natella
*/
class CriteriaDialogView : public KDialogBase
{

    Q_OBJECT

public:
    CriteriaDialogView(QWidget *parent = 0, const char *name = 0);
    ~CriteriaDialogView();
    
    inline void setDateDay(int i) { if(i<0) i=0; m_widget->m_dateDay->setCurrentItem( i ); }
    inline QString dateDay() const { return m_widget->m_dateDay->currentText(); }
    
    inline void setDateMonth(int i) { if(i<0) i=0; m_widget->m_dateMonth->setCurrentItem( i ); }
    inline QString dateMonth() const { return m_widget->m_dateMonth->currentText(); }

    inline void setHour(int i) { if(i<0) i=-1; m_widget->m_hour->setCurrentItem( i+1 ); }
    inline QString hour() const { return m_widget->m_hour->currentText(); }

    inline void setMinute(int i) { if(i<0) i=-1; m_widget->m_minute->setCurrentItem( i+1 ); }
    inline QString minute() const { return m_widget->m_minute->currentText(); }

    inline void setDayName(int i) { if(i<0) i=0; m_widget->m_dayname->setCurrentItem( i ); }
    inline int dayName() const { return m_widget->m_dayname->currentItem(); }
    
    inline void setInverse(bool b) { m_widget->m_invert->setChecked(b);
                                     m_widget->m_noinvert->setChecked(!b); }
    inline bool inverse() const { return m_widget->m_invert->state() == QButton::On; }
    
private:
    CriteriaDialog * m_widget;

};

#endif
