/***************************************************************************
 *   Copyright (C) 2003 by Roberto Natella                                 *
 *   roberto.natella@virgilio.it                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KOMICSWIDGET_H
#define KOMICSWIDGET_H

#include <qpixmap.h>
#include <qbutton.h>

typedef enum { Waiting, Loading, Ready } State;

/**
@author Roberto Natella
*/
class KomicsWidget : public QButton
{

Q_OBJECT

public:
    KomicsWidget(QWidget *parent=0);
    ~KomicsWidget();

    void setIcon(State);
    void paintEvent(QPaintEvent *);
    void mousePressEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    void resizeEvent(QResizeEvent *e);
    inline State state() const { return m_state; }

signals:
    void leftclickedSignal(QMouseEvent*);
    void rightclickedSignal(QMouseEvent*);

private:
    QPixmap m_pixmap;
    State m_state;

};

#endif
