/***************************************************************************
 *   Copyright (C) 2003 by Roberto Natella                                 *
 *   roberto.natella@virgilio.it                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include <klocale.h>
#include <kcmdlineargs.h>
#include <kwin.h>
#include <kaboutdata.h>
#include <kuniqueapplication.h>
#include <kmessagebox.h>

#include "komics.h"

int main(int argc, char *argv[])
{
    KAboutData about ( "komics1", I18N_NOOP("Komics"), VERSION,
                       I18N_NOOP(__comment), KAboutData::License_GPL_V2,
                       "(C) 2003 Natella Roberto", 0, "roberto.natella@virgilio.it" );

    about.addAuthor("Roberto Natella", 0,
                    "roberto.natella@virgilio.it", "http://www.orson.it/" );

    KCmdLineArgs::init( argc, argv, &about);

    KApplication::disableAutoDcopRegistration();
    KUniqueApplication app;

    if( !Komics::lock() )
        return -1;

    Komics * komics = new Komics(0,new KConfig("libkomicsrc"));
    
    if( komics == NULL )
        return -1;

    KWin::setSystemTrayWindowFor( komics->winId(), 0 );
    komics->setGeometry(-100, -100, 42, 42 );
    komics->show();

    int ret = app.exec();
    delete komics;

    Komics::unlock();

    return ret;
}

