/*
 * Copyright (C) 2003 Roberto Natella <roberto.natella@virgilio.it>
 */

#ifndef _KOMICSPREF_H_
#define _KOMICSPREF_H_

#include <kdialogbase.h>
#include <kurlrequester.h>
#include <qvbox.h>
#include <qcheckbox.h>
#include <qspinbox.h>


#include "stripdialogview.h"
#include "generalsetup.h"
#include "komics.h"

class KomicsPrefPageOne;
class KomicsPrefPageTwo;
class KomicsPrefPageThree;

typedef QMap< QString, QMap< QString,QString > > StripsMap;
typedef QMap< QString, QValueVector< QMap< QString,int > > > CriteriaMap;

class KomicsPreferences : public KDialogBase
{

    Q_OBJECT

public:
    KomicsPreferences(Komics * k);
    KomicsPrefPageOne * setupPage() const { return m_pageOne; }
    KomicsPrefPageTwo * stripsPage() const { return m_pageTwo; }
    void setContents(StripsMap&, CriteriaMap&);

public slots:
    void saveConfig();
    
private:
    Komics * m_komics;
    KomicsPrefPageOne *m_pageOne;
    KomicsPrefPageTwo *m_pageTwo;

};

class KomicsPrefPageOne : public QVBox
{

    Q_OBJECT

public:
    KomicsPrefPageOne(QWidget *parent = 0);
    friend class Komics;
    friend class KomicsPreferences;
    void setOnStart(bool onstart) { m_setupdialog->m_onstart->setChecked(onstart); }
    void setAutodownload(bool autodownload) { m_setupdialog->m_autodownload->setChecked(autodownload); }
    void setRefresh(int time) { m_setupdialog->m_refresh->setValue(time); }
    void setSound(QString url) { m_setupdialog->m_sound->setURL(url); }
    
private:
    GeneralSetup * m_setupdialog;

};

class KomicsPrefPageTwo : public QVBox
{

    Q_OBJECT

public:
    KomicsPrefPageTwo(QWidget *parent = 0);
    friend class Komics;
    friend class KomicsPreferences;
private:
    StripDialogView * m_stripsdialog;

};

#endif // _KOMICSPREF_H_
