#!/usr/bin/perl

use strict;
use warnings;
use DCOP;

# Creates a DCOP client and connects it to DCOP server
my $client = new DCOP();
$client->attach();

# Creates an instance of Komics DCOP interface
my $komics = $client->createObject("komics", "Komics");

# Stops all current downloads
$komics->killall();

# Gets the available strips list
my @strips = @{$komics->stripsList()};
my $num;

if( $#strips < 0 )
{
    print "You have no strips configured.\n";
    exit;
}

do
{
    print "Which strip do you wish to download?\n";

    my $i = 1;

    foreach my $strip (@strips)
    {
        print "$i) $strip\n";
        $i++;
    }

    $num = <STDIN>;
    chomp($num);
    $num--;
}
while( $num < 0 || $num > $#strips );

# Downloads selected strip
$komics->download( $strips[$num] );

