/***************************************************************************
 *   Copyright (C) 2003 by Roberto Natella                                 *
 *   roberto.natella@virgilio.it                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef STRIPDIALOGVIEW_H
#define STRIPDIALOGVIEW_H

#include <stripdialog.h>

#include <qmap.h>
#include <qvaluevector.h>

typedef QMap< QString, QMap< QString,QString > > StripsMap;
typedef QMap< QString, QValueVector< QMap< QString,int > > > CriteriaMap;

/**
@author Roberto Natella
*/
class StripDialogView : public StripDialog
{

    Q_OBJECT

public:
    StripDialogView(QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
    ~StripDialogView();

    void setContents(StripsMap&, CriteriaMap&);
    
    StripsMap m_strips;
    CriteriaMap m_criteria;
    QMap< QListBoxItem*, QString > m_boxPointers;
    QMap< QListViewItem*, int > m_criteriaPointers;

private:
    void pushStrips();
    
public slots:
    void resetFields();
    void addStrip();
    void removeStrip();
    void stripSelected( int );
    void nameChanged( const QString & );
    void urlChanged( const QString & );
    void execChanged( const QString & );
    void formatChanged( const QString & );
    void referrerChanged( const QString & );
    void activatedChanged( bool );
    void addCriteria();
    void removeCriteria();
    void modifyCriteria();

};

#endif
